Bug 75900 - Scrollback not saved if region is set
Summary: Scrollback not saved if region is set
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-14 19:10 UTC by Pete Zaitcev
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-08 04:08:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ssfe.c (standalone part of sirc) (29.35 KB, text/plain)
2002-10-15 04:44 UTC, Pete Zaitcev
no flags Details

Description Pete Zaitcev 2002-10-14 19:10:59 UTC
Description of Problem:
Scrollback region is not saved when vt100 scroll region is in effect
in RH8.0, but it was saved in RH7.3.

Version-Release number of selected component (if applicable):
gnome-terminal-2.0.1-5

How Reproducible:
100%

Steps to Reproduce:
1. Run an application which sets a scroll region touching topmost line,
   such as sirc/ssfe.
2. Hit <Shift><PgUp> to examine the scrollback area, observe that the
   scroll content was not saved.

Actual Results:

Saved scroll region is not updated.

Expected Results:

Saved scroll region updated as in RHL 7.3.

Additional Information:

Note that scroll saving under screen never worked, so don't try
to "fix" that.

Comment 1 Nalin Dahyabhai 2002-10-15 01:16:46 UTC
Are you referring to a scrolling region (cs) or the alternate screen buffer? 
The alternate screen buffer should have no scrollback.

Comment 2 Pete Zaitcev 2002-10-15 04:44:57 UTC
Created attachment 80426 [details]
ssfe.c (standalone part of sirc)

Comment 3 Pete Zaitcev 2002-10-15 04:45:51 UTC
It's "cs" capability of termcap, and it worked before, and it works in xterm.


Comment 4 Nalin Dahyabhai 2003-01-14 06:38:54 UTC
Should be fixed in 0.10.10 and later.

Comment 5 Pete Zaitcev 2003-01-14 07:44:31 UTC
I went to porkchop, but "slocate vte-0.10.10" yields no result.
I'll retry later, I guess...


Comment 6 Pete Zaitcev 2003-02-08 04:08:04 UTC
Fixed in Phoebe2 (vte-0.10.10-1)



Note You need to log in before you can comment on or make changes to this bug.